Variants Variant Linkage Disequilibrium Summary
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/variants/variant-ld/summaryimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/variants/variant-ld/summary"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/variants/variant-ld/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"ancestry": "<string>",
"sequence variant": "<string>",
"predictions": {
"qtls": [
{
"type": "<string>",
"cell_types": [
{
"name": "<string>",
"count": 123
}
],
"genes": [
{
"name": "<string>",
"count": 123
}
]
}
],
"tf_binding": [
{
"motif": "<string>",
"count": 123,
"cell_types": [
{
"cell_type": "<string>",
"count": 123
}
]
}
]
},
"d_prime": 123,
"r2": 123
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Variants Variant Linkage Disequilibrium Summary
Retrieve a summary of genetic variants in linkage disequilibrium (LD).
Example: variant_id = NC_000001.11:954257:G:C,
hgvs = NC_000011.10:g.9090011A>G,
spdi = NC_000011.10:9090010:A:G,
ca_id = CA10655063
The limit parameter controls the page size and can not exceed 100.
Pagination is 0-based.
Variants Variant Linkage Disequilibrium Summary
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/variants/variant-ld/summaryimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/variants/variant-ld/summary"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/variants/variant-ld/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"ancestry": "<string>",
"sequence variant": "<string>",
"predictions": {
"qtls": [
{
"type": "<string>",
"cell_types": [
{
"name": "<string>",
"count": 123
}
],
"genes": [
{
"name": "<string>",
"count": 123
}
]
}
],
"tf_binding": [
{
"motif": "<string>",
"count": 123,
"cell_types": [
{
"cell_type": "<string>",
"count": 123
}
]
}
]
},
"d_prime": 123,
"r2": 123
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
Mus musculus, Homo sapiens